Printago API
PATCH /v1/maintenance/mode

Set maintenance mode

Toggle maintenance mode on or off for one or more printers. Entitlement is checked inside the service only when enabling, so users can always turn maintenance mode off.

Requires: maintenance.edit

Request Body

RequestBody
enabledrequired
boolean
printerIdsrequired
string[]

Example Request

application/json
{
  "printerIds": [
    "string"
  ],
  "enabled": true
}

Response Schema

Response
value
object[]

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "nozzleDiameter": "string",
    "enabled": true,
    "tags": [
      "string"
    ],
    "confirmedReady": true,
    "isAvailable": true,
    "isOnline": true,
    "continuousPrint": true,
    "lifetimePrintHours": 1,
    "lifetimeJobCount": 1,
    "isInMaintenance": true,
    "id": "string",
    "storeId": "string",
    "createdAt": "2026-08-24T03:58:55.535Z",
    "updatedAt": "2026-08-24T03:58:55.535Z"
  }
]